> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifications.updated webhook

> The `verifications.updated` webhook is sent each time a verification's state transitions to `PROCESSING`, `PAUSED`, or `COMPLETED`.

Set `config.include_resource = true` to include the full verification object in `data.resource`.




## OpenAPI

````yaml openAPI/verifications-partners-webhooks-updated.yaml post /partners/v2/webhooks
openapi: 3.0.0
info:
  title: Partners Verifications Webhooks API
  version: '2.0'
  description: |
    API for managing partner Verifications Webhooks.
    Sent when a verification has been updated.
servers:
  - url: https://api-sandbox.argyle.com
security:
  - basicAuth: []
paths:
  /partners/v2/webhooks:
    post:
      tags:
        - Webhooks
      summary: Example subscription
      description: >
        The `verifications.updated` webhook is sent each time a verification's
        state transitions to `PROCESSING`, `PAUSED`, or `COMPLETED`.


        Set `config.include_resource = true` to include the full verification
        object in `data.resource`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PartnerWebhookSubscriptionRequest'
            example:
              events:
                - verifications.updated
              name: name-for-the-webhook-subscription
              url: https://your-webhook-backend.com
              secret: optional-secret
              config:
                include_resource: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerVerificationWebhookMessage'
              examples:
                verifications_updated:
                  summary: Example Webhook Delivery
                  value:
                    event: verifications.updated
                    name: name-for-the-webhook-subscription
                    data:
                      user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                      verification: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
                      client: 39096494-45c8-4fd8-9454-3d1cb2d62db7
                      resource:
                        id: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
                        user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                        client: 39096494-45c8-4fd8-9454-3d1cb2d62db7
                        created_at: '2023-03-09T16:22:06.081Z'
                        updated_at: '2023-03-09T16:22:06.081Z'
                        channel: api
                        status:
                          state: COMPLETED
                          code: completed
                          errors: []
                        report:
                          id: 2a14ce6f-3aed-4c15-8ea2-92a17b6edb95
                          type: voie
                          file_url: www.argyle.com/storagename/pdf
                          json_url: www.argyle.com/storagename/json
                        employments:
                          - employer: Whole Goods
                            status: active
                            hire_date: '2015-08-28'
                            termination_date: null
                        data_source: payroll
components:
  schemas:
    PartnerWebhookSubscriptionRequest:
      type: object
      properties:
        events:
          type: array
          description: |
            `verifications.updated`
          items:
            type: string
            enum:
              - verifications.updated
            example: verifications.updated
        name:
          type: string
          example: name-for-the-webhook-subscription
          description: Your name for the webhook subscription.
        url:
          type: string
          example: https://your-webhook-backend.com
          description: >-
            Where you want to receive webhook delivery. Argyle handles URL
            encoding for webhook URLs. Send the URL in its normal, unencoded
            form.
        secret:
          type: string
          example: optional-secret
          description: Optional secret used to verify webhooks.
        config:
          type: object
          example:
            include_resource: true
          description: >
            `"include_resource": true` will return the verification object in
            the response within a `resource` object.
      required:
        - events
        - name
        - url
    PartnerVerificationWebhookMessage:
      type: object
      properties:
        event:
          type: string
          description: |
            `verifications.updated`
          example: verifications.updated
        name:
          type: string
          description: Name used for the webhook subscription.
          example: name-for-the-webhook-subscription
        data:
          type: object
          properties:
            user:
              type: string
              format: uuid
              description: ID of the user.
              example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
            verification:
              type: string
              format: uuid
              description: ID of the verification.
              example: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
            client:
              type: string
              format: uuid
              description: ID of the client.
              example: 39096494-45c8-4fd8-9454-3d1cb2d62db7
            resource:
              type: object
              description: The verification object.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````